Page MenuHomePhabricator

Deploy statsd plugin for production elasticsearch & logstash
Closed, ResolvedPublic

Description

Like T711, we should deploy statsd plugin in production as well. It'll allow us to stop having to send this data to ganglia via the script we have now and will reduce the delta between prod and labs.

Event Timeline

demon created this task.Feb 26 2015, 4:18 PM
demon raised the priority of this task from to Needs Triage.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2015, 4:18 PM
ArielGlenn triaged this task as Medium priority.Feb 26 2015, 5:12 PM
ArielGlenn set Security to None.
Restricted Application added a project: Discovery. · View Herald TranscriptJun 15 2015, 8:54 PM
EBernhardson added a subscriber: EBernhardson.EditedJun 15 2015, 8:55 PM

Note that statsd plugin for elasticsearch was undeployed from beta cluster some time ago (not sure why).

FWIW feel free to add me on code reviews when deploying/adding the statsd plugin, mostly to assess how many metrics are going to be pushed

What statsd plugin is this? I do know diamond has a native elasticsearch poller as well.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 14 2015, 6:39 PM

This is https://github.com/ebernhardson/elasticsearch-statsd-plugin/tree/v0.3.3-wmf2 which is a forked from Automattic (which is forked from somewhere else). Its not the most maintained piece of software, we would basically be taking over. If there are better options i'm all ears.

chasemp closed this task as Resolved.Oct 21 2015, 11:27 PM
chasemp claimed this task.

I think we are fairly happy T111573 for now (and that can be extended)

Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 19 2019, 2:33 PM